<?php

//	lt_include( PLOG_CLASS_PATH."class/action/admin/blogowneradminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/secretblog/class/view/adminsecretblogpluginsettingsview.class.php" );	

    class AdminSecretBlogPluginSettingsAction extends AdminAction 
	{

    	/**
         * Constructor. If nothing else, it also has to call the constructor of the parent
         * class, BlogAction with the same parameters
         */
        function AdminSecretBlogPluginSettingsAction( $actionInfo, $request )
        {
        	$this->AdminAction( $actionInfo, $request );
			$this->requirePermission( "manage_plugins" );			
        }

        /**
         * Carries out the specified action
         */
        function perform()
        {
            $this->_view = new AdminSecretBlogPluginSettingsView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
        }
    }
?>
